#!/bin/bash

echo "-------------------------------------------------------------"
echo "----------------Checking Database Connection-----------------"
echo "-------------------------------------------------------------"

echo " "
echo "Enter The [HOST] to your Database:"
read DB_HOST

echo " "
echo "Enter The [PORT] to your Database:"
read DB_PORT

echo " "
echo "Enter your Database [USER]:"
read DB_USER

echo " "
echo "Enter your Database [PASSWORD]:"
read PASSWORD

docker pull work4all/dbcheck:latest
pull_exit_code=$?

if [ $pull_exit_code -eq 1 ]; then
    echo "Docker daemon inaccessible $exit_code ❌"
    exit 1
fi

random_code=$(head /dev/urandom | LC_CTYPE=C tr -dc '0-9' | fold -w 3 | head -n 1)

echo "Container Name: w4a-dbcheck-$random_code"

docker run -e DB_HOST=${DB_HOST} -e DB_PORT=${DB_PORT} -e DB_USER=${DB_USER} -e PASSWORD=${PASSWORD} --name w4a-dbcheck-$random_code work4all/dbcheck:latest

CONTAINER_ID=$(docker ps -aqf "name=w4a-dbcheck-$random_code")

exit_code=$(docker inspect -f '{{.State.ExitCode}}' $CONTAINER_ID)


if [ $exit_code -eq 0 ]; then
    echo "Docker container exited with code $exit_code ✅"
else
    echo "Docker container exited with code $exit_code ❌"
fi

exit $exit_code