#!/bin/bash

echo "-------------------------------------------------------------"
echo "----------------------Checking Docker------------------------"
echo "-------------------------------------------------------------"

docker_inst=0
docker_compose_inst=0
docker_running=0

# Check if Docker is installed
if command -v docker &>/dev/null; then
    echo "Docker: Yes ✅"
else
    echo "Docker: No ❌"
    docker_inst=1
fi

# Check if Docker Compose is installed
if command -v docker-compose &>/dev/null; then
    echo "Docker Compose: Yes ✅"
else
    echo "Docker Compose: No ❌"
    docker_compose_inst=0
fi

# Check if Docker daemon is running
if systemctl is-active --quiet docker; then
    echo "Docker is running: Yes ✅"
else
    echo "Docker is running: No ❌"
    docker_running=0
fi

docker_exit=$((docker_inst + docker_compose_inst + docker_running))

if [ $docker_exit -eq 0 ]; then
    exit 0
else
    exit 1
fi