#!/bin/bash

echo "-------------------------------------------------------------"
echo "---------------------Checking Firewall-----------------------"
echo "-------------------------------------------------------------"

network_eighty=0
network_fourfourthree=0

ip_response=$(curl https://api.opu.work4allcloud.de/get_ip)

EXTERNAL_IP=$(echo "$ip_response" | grep -o '"ip_address":"[^"]*' | awk -F ':"' '{print $2}')
echo "$EXTERNAL_IP"

docker run -d -p 80:80 --name nginx-80 nginx

docker run -d -p 443:80 --name nginx-443 nginx

echo "sleeping for 60 seconds..."
sleep 60

port=80
echo "Checking port $port..."
returned_response=$(curl https://api.opu.work4allcloud.de/check_firewall/$port/$EXTERNAL_IP)
echo $returned_response
echo $returned_response | grep -q "open"
if [ $? -eq 0 ]; then
    echo "Port $port is open and accessible. ✅"
else
    echo "Port $port is NOT accessible or blocked. ❌"
    network_eighty=1
fi

echo "|||||||||||||||||||||||||||||||||||||||||||"

port=443
echo "Checking port $port..."
returned_response=$(curl https://api.opu.work4allcloud.de/check_firewall/$port/$EXTERNAL_IP)
echo $returned_response
echo $returned_response | grep -q "open"
if [ $? -eq 0 ]; then
    echo "Port $port is open and accessible. ✅"
else
    echo "Port $port is NOT accessible or blocked. ❌"
    network_fourfourthree=1
fi

docker stop nginx-80
docker stop nginx-443
docker rm nginx-80
docker rm nginx-443

network_exit=$((network_eighty + network_fourfourthree))

if [ $network_exit -eq 0 ]; then
    exit 0
else
    exit 1
fi