#!/bin/bash

echo "-------------------------------------------------------------"
echo "---------------------Checking IP Status----------------------"
echo "-------------------------------------------------------------"


ip_response=$(curl https://api.opu.work4allcloud.de/get_ip)

EXTERNAL_IP=$(echo "$ip_response" | grep -o '"ip_address":"[^"]*' | awk -F ':"' '{print $2}')
echo "$EXTERNAL_IP"

ip_info=$(ip addr | grep "inet $EXTERNAL_IP")

# Check if the IP configuration mentions "inet" and "static"
echo $ip_info
echo $ip_info | grep "dynamic"
if [ $? -eq 0 ]; then
    echo "The IP configuration is NOT static. ❌"
    exit 1
else
    echo "The IP configuration is static. ✅"
fi

exit 0