#!/bin/bash

echo "-------------------------------------------------------------"
echo "------------------------Checking OS--------------------------"
echo "-------------------------------------------------------------"

# Check if the OS is Ubuntu 22.04 (server)
if [ -f /etc/os-release ]; then
    source /etc/os-release
    if [[ $ID == "ubuntu" && $VERSION_ID == "22.04" ]]; then
        echo "OS is supported, $NAME $VERSION_ID ✅"
    else
        echo "OS is NOT supported, $NAME $VERSION_ID ❌"
        exit 1
    fi
else
    echo "Unable to determine the Linux distribution. ❌"
    exit 1
fi