#!/bin/bash

echo "-------------------------------------------------------------"
echo "----------------Checking Ports Availability------------------"
echo "-------------------------------------------------------------"

port_eighty=0
port_fourfourthree=0

port="80"
pid=$(lsof -i :$port | awk 'NR==2 {print $2}')
if [ -n "$pid" ]; then
    echo "Port $port is in use by process with PID: $pid ❌"
    echo "Service name:"
    ps -p $pid -o comm=
    port_eighty=1
else
    echo "Port $port is not in use. ✅"
fi

port="443"
pid=$(lsof -i :$port | awk 'NR==2 {print $2}')
if [ -n "$pid" ]; then
    echo "Port $port is in use by process with PID: $pid ❌"
    echo "Service name:"
    ps -p $pid -o comm=
    port_fourfourthree=1
else
    echo "Port $port is not in use. ✅"
fi

ports_exit=$((port_eighty + port_fourfourthree))

if [ $ports_exit -eq 0 ]; then
    exit 0
else
    exit 1
fi