#!/bin/bash

echo "-------------------------------------------------------------"
echo "------------------Checking Installed Tools-------------------"
echo "-------------------------------------------------------------"

curl_exit=0
zip_exit=0

# Check if curl is installed
if command -v curl &> /dev/null; then
    echo "curl: Yes ✅"
else
    echo "curl: No ❌"
    curl_exit=1
fi

# Check if 7z is installed
if command -v 7z &> /dev/null; then
    echo "7z: Yes ✅"
else
    echo "7z: No ❌"
    zip_exit=1
fi

tools_exit=$((curl_exit + zip_exit))

if [ $tools_exit -eq 0 ]; then
    exit 0
else
    exit 1
fi