#!/bin/bash

# ❌ ✅

echo "--------------------------------------------------------------------------------------"
echo "----------------------------Checking System Requirements------------------------------"
echo "--------------------------------------------------------------------------------------"

chmod +x check_os.sh
chmod +x check_arch.sh
chmod +x check_docker.sh
chmod +x check_ip.sh
chmod +x check_firewall.sh
chmod +x check_ports.sh
chmod +x check_tools.sh
chmod +x check_db.sh

count=0

bash check_os.sh
exit_code_os=$?

bash check_arch.sh
exit_code_arch=$?

bash check_docker.sh
exit_code_docker=$?

bash check_ip.sh
exit_code_ip=$?

bash check_firewall.sh
exit_code_firewall=$?

bash check_ports.sh
exit_code_ports=$?

bash check_tools.sh
exit_code_tools=$?

bash check_db.sh
exit_code_db=$?

echo "--------------------------------------------------------------------------------------"
echo "------------------------------Summary Of System Checks--------------------------------"
echo "--------------------------------------------------------------------------------------"

if [ $exit_code_os -eq 0 ]; then
    ((count++))
    echo "1. Supported OS ✅"
else
    echo "1. Incorrect OS ❌"
fi

if [ $exit_code_arch -eq 0 ]; then
    ((count++))
    echo "2. Supported Architecture ✅"
else
    echo "2. Incorrect Architecture ❌"
fi

if [ $exit_code_docker -eq 0 ]; then
    ((count++))
    echo "3. Docker Requirements Present ✅"
else
    echo "3. Missing Docker Requirements ❌"
fi

if [ $exit_code_ip -eq 0 ]; then
    ((count++))
    echo "4. IP Address Is Static ✅"
else
    echo "4. IP Address Is Not Static ❌"
fi

if [ $exit_code_firewall -eq 0 ]; then
    ((count++))
    echo "5. Firewall Requirements Present ✅"
else
    echo "5. Missing Firewall Requirements ❌"
fi

if [ $exit_code_ports -eq 0 ]; then
    ((count++))
    echo "6. Ports Requirements Present ✅"
else
    echo "6. Missing Ports Requirements ❌"
fi

if [ $exit_code_tools -eq 0 ]; then
    ((count++))
    echo "7. Tools Present ✅"
else
    echo "7. Missing Tools ❌"
fi

if [ $exit_code_db -eq 0 ]; then
    ((count++))
    echo "8. DB Connection Succeeded ✅"
else
    echo "8. DB Connection Failed ❌"
fi

echo "--------------------------------------------------------------------------------------"
echo "---------------------------------Overall Score: ($count/8)---------------------------------"
echo "--------------------------------------------------------------------------------------"